com.threerings.whirled.zone.server

## Class ZoneMoveHandler

- java.lang.Object
- - com.threerings.whirled.server.AbstractSceneMoveHandler
  - - com.threerings.whirled.zone.server.ZoneMoveHandler

All Implemented Interfaces:
  SceneRegistry.ResolutionListener, ZoneManager.ResolutionListener

Direct Known Subclasses:
  PeeredZoneRegistry.PeerZoneMoveHandler

    public class ZoneMoveHandler
    extends AbstractSceneMoveHandler
    implements ZoneManager.ResolutionListener

Handles transitioning between zones.

### Constructor Summary

Constructors
Constructor and Description
`ZoneMoveHandler(com.threerings.crowd.server.LocationManager locmgr, ZoneManager zmgr, SceneRegistry screg, com.threerings.crowd.data.BodyObject body, int sceneId, int sceneVer, ZoneService.ZoneMoveListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `zoneFailedToResolve(int zoneId, Exception reason)` Called when a zone failed to resolve.
`void` `zoneWasResolved(ZoneSummary summary)` Called when a zone was successfully resolved.

### Methods inherited from class com.threerings.whirled.server.AbstractSceneMoveHandler

`sceneFailedToResolve, sceneWasResolved`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZoneMoveHandler

    public ZoneMoveHandler(com.threerings.crowd.server.LocationManager locmgr,
                           ZoneManager zmgr,
                           SceneRegistry screg,
                           com.threerings.crowd.data.BodyObject body,
                           int sceneId,
                           int sceneVer,
                           ZoneService.ZoneMoveListener listener)

### Method Detail

#### zoneWasResolved

    public void zoneWasResolved(ZoneSummary summary)

Description copied from interface: `ZoneManager.ResolutionListener`
Called when a zone was successfully resolved.

Specified by:
  `zoneWasResolved` in interface `ZoneManager.ResolutionListener`

#### zoneFailedToResolve

    public void zoneFailedToResolve(int zoneId,
                                    Exception reason)

Description copied from interface: `ZoneManager.ResolutionListener`
Called when a zone failed to resolve.

Specified by:
  `zoneFailedToResolve` in interface `ZoneManager.ResolutionListener`